"""Utility functions for pre-processing.

This module provides utility functions used by the pre-processing module for
handling transforms and data processing tasks.

The utilities include:
    - Transform management for different pipeline stages
    - Conversion between transform types
    - Helper functions for dataloader/datamodule transform handling

Example:
    >>> from anomalib.pre_processing.utils import get_exportable_transform
    >>> transform = get_exportable_transform(train_transform)
"""

# Copyright (C) 2024 Intel Corporation
# SPDX-License-Identifier: Apache-2.0
